

#include "stdint.h"




#define TMOS_USB_HOST_APP_CHECK_TICK_EVT                    (1<<0)
#define TMOS_USB_HOST_APP_TEST_EVT      				    (1<<1)
#define TMOS_USB_HOST_APP_IN_EVT      				        (1<<2)
#define TMOS_USB_HOST_APP_OUT_EVT                           (1<<3)
#define TMOS_USB_HOST_APP_INIT_ROOT_DEVICE_EVT              (1<<4)

/**
 * @brief Types of USB CDC events.
 */
typedef enum
{
    USB_HOST_APP_CONNECTED_EVT, 
    USB_HOST_APP_DISCONNECTED_EVT, 
    USB_HOST_APP_DATA_OUT_DONE,   
    USB_HOST_APP_DATA_IN,
} usb_host_app_evt_type_t;






typedef struct
{
    uint8_t * p_data; ///< Pointer to memory used for transfer.
    uint8_t   bytes;  ///< Number of bytes transfered.
} usb_host_app_xfer_evt_t;

/**@brief Structure for USB  event. */
typedef struct
{
    usb_host_app_evt_type_t type;      ///< Event type.
    usb_host_app_xfer_evt_t data;
} usb_host_app_event_t;

typedef void (*usb_host_app_event_handler_t)(usb_host_app_event_t * p_event);


void usb_host_app_init(usb_host_app_event_handler_t event_handler);
uint8_t	usb_host_app_out( uint8_t *pBuf,uint8_t len );




